@import url(./global/_variable.css);

/* price */
/* ============================================ */

/* price-plan */
/* ============================================ */
.price-plan {
  padding-block: clamp(3.75rem, 2.6295rem + 2.9279vw, 5.625rem); /* 90~60(1920~896) */
  background-color: #FFF;
  border-radius: 50px 50px 0 0;
  position: relative;
  @media (width <= 896px) {
    padding-block: 60px;
  }
}
.price-plan__inner {
  max-width: 1340px;
  margin-inline: auto;
  padding-inline: 20px;
}
.price-plan__head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}
.price-plan__label {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.125rem, -0.0101rem + 2.0270vw, 1.6875rem); /* 27~18(1340~896) */
  font-weight: 500;
  line-height: 1.6;
  color: var(--main_c);
  text-align: center;
}
.price-plan__ttl {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.875rem, -0.3953rem + 4.0541vw, 3rem); /* 48~30(1340~896) */
  font-weight: 500;
  line-height: 1.4;
  letter-spacing: .05em;
  color: var(--font_c);
  text-align: center;
  word-break: keep-all;
}
.price-plan__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 32px;
  margin-top: 40px;
  @media (width <= 1025px) {
    grid-template-columns: 1fr;
    max-width: 425px;
    margin-inline: auto;
    margin-top: 32px;
  }
}
.price-plan__item {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 25px;
  padding: 40px;
  background: #fff;
  border-radius: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, .05);
  @media (width <= 1025px) {
    margin-top: 24px;
  }
}
.price-plan__item--recommend {
  border: 3px solid var(--main_c);
}
.price-plan__item-ribbon {
  position: absolute;
  top: -3px;
  right: -3px;
  width: clamp(4.6875rem, 3.4934rem + 5.0075vw, 7.125rem); /* 114~75(1340~896) */
  aspect-ratio: 1 / 1;
}
.price-plan__item-ribbon-bg {
  display: block;
  width: 100%;
  height: 100%;
}
.price-plan__item-ribbon-txt {
  position: absolute;
  top: 28%;
  right: 8%;
  transform: rotate(45deg);
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(0.75rem, 0.4966rem + 0.4505vw, 0.875rem); /* 14~12(1340~896) */
  font-weight: 700;
  color: #fff;
  white-space: nowrap;
}
.price-plan__item-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  text-align: center;
}
.price-plan__item-ttl {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.25rem, -0.0113rem + 2.2523vw, 1.875rem); /* 30~20(1340~896) */
  font-weight: 700;
  line-height: 1.6;
  color: var(--font_c);
  word-break: keep-all;
}
.price-plan__item-subttl {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.0625rem, 0.6841rem + 0.6757vw, 1.25rem); /* 20~17(1340~896) */
  font-weight: 500;
  line-height: 1.7;
  color: var(--main_c);
  word-break: keep-all;
}
.price-plan__item-features {
  display: flex;
  flex-direction: column;
  gap: 5px;
  flex: 1 0 auto;
  > li {
    display: flex;
    align-items: center;
    gap: 5px;
    font-family: 'Zen Kaku Gothic New', var(--font_normal);
    font-size: clamp(0.875rem, 0.6227rem + 0.4505vw, 1rem); /* 16~14(1340~896) */
    font-weight: 500;
    line-height: 2.2;
    color: var(--font_c);
    > img {
      flex-shrink: 0;
    }
  }
}
.price-plan__item-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 20px 22px 20px 42px;
  background: var(--main_c);
  border-radius: 999px;
  margin-top: auto;
  > span {
    flex: 1 0 0;
    font-family: 'Zen Kaku Gothic New', var(--font_normal);
    font-size: clamp(1.0rem, 0.7477rem + 0.4505vw, 1.125rem); /* 18~16(1340~896) */
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
  }
  &:hover {
    @media (hover: hover) {
      opacity: .7;
    }
  }
}
.price-plan__item-btn--recommend {
  background: var(--dark_c);
}
.price-plan__item-btn-arrow {
  transform: scaleX(-1);
}

/* price-table */
/* ============================================ */
.price-table {
  padding-block: clamp(3.75rem, 2.6295rem + 2.9279vw, 5.625rem); /* 90~60(1920~896) */
  background-color: #FFF;
  @media (width <= 896px) {
    padding-block: 60px;
  }
}
.price-table__inner {
  max-width: 1340px;
  margin-inline: auto;
  padding-inline: 20px;
}
.price-table__ttl {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.625rem, -0.1408rem + 3.1532vw, 2.5rem); /* 40~26(1340~896) */
  font-weight: 500;
  line-height: 1.3;
  color: var(--font_c);
  text-align: center;
  word-break: keep-all;
}
.price-table__scroll {
  margin-top: 40px;
  overflow-x: auto;
  filter: drop-shadow(0 0 24px rgba(0,0,0,0.1));
  @media (width <= 896px) {
    margin-top: 28px;
  }
}
.price-table__btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: fit-content;
  max-width: 100%;
  margin-inline: auto;
  margin-top: 40px;
  padding: 20px 22px 20px 42px;
  background: var(--main_c);
  border-radius: 999px;
  @media (width <= 896px) {
    margin-top: 28px;
    padding: 18px 20px 18px 32px;
  }
  > span {
    font-family: 'Zen Kaku Gothic New', var(--font_normal);
    font-size: clamp(1.0rem, 0.7477rem + 0.4505vw, 1.125rem); /* 18~16(1340~896) */
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
  }
  &:hover {
    @media (hover: hover) {
      opacity: .7;
    }
  }
}
.price-table__btn-arrow {
  transform: scaleX(-1);
}
.price-table__table {
  width: 100%;
  min-width: 720px;
  border-collapse: collapse;
  background: #fff;
  border-radius: 12px;
  overflow: hidden;
  border: #D6DCE6 solid 1px;
  th, td {
    padding: 20px;
    text-align: center;
    border-bottom: 1px solid #D6DCE6;
    border-right: 1px solid #D6DCE6;
    font-family: 'Zen Kaku Gothic New', var(--font_normal);
    font-size: clamp(0.875rem, 0.6227rem + 0.4505vw, 1rem); /* 16~14(1340~896) */
    color: var(--font_c);
    &:last-child {
      border-right: none;
    }
  }
  tr:last-child {
    th, td {
      border-bottom: none;
    }
  }
  thead th {
    padding-block: 28px;
    font-weight: 700;
    font-size: clamp(0.9375rem, 0.5591rem + 0.6757vw, 1.125rem); /* 18~15(1340~896) */
  }
  tbody th {
    text-align: left;
    font-weight: 500;
    background: #fff;
  }
  tbody td {
    background: #fff;
  }
  img {
    display: inline-block;
    vertical-align: middle;
  }
}
.price-table__col--feature {
  background: #EDF2F9;
}
.price-table__col--light {
  background: #E6F0FF;
}
.price-table__col--standard {
  background: #D0E3FF;
}
.price-table__col--interlock {
  background: #C2D9FB;
}

.ttl_table_sub {
  font-weight: 400;
  font-size: 0.8em;
  line-height: 1.4em;
  padding-top: 5px;
  display: block;
}

.mt40 {
  margin-top: 6vw;
  @media (width <= 896px) {
    margin-top: 50px;
  }
}

/* price-point */
/* ============================================ */
.price-point {
  background: var(--bg01_c);
  padding-block: clamp(3.75rem, 2.6295rem + 2.9279vw, 5.625rem); /* 90~60(1920~896) */
  background-color: #FFF;
  @media (width <= 896px) {
    padding-block: 60px;
  }
}
.price-point__inner {
  max-width: 1340px;
  margin-inline: auto;
  padding-inline: 20px;
}
.price-point__ttl {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.625rem, -0.1408rem + 3.1532vw, 2.5rem); /* 40~26(1340~896) */
  font-weight: 500;
  line-height: 1.6;
  color: var(--font_c);
  text-align: center;
  word-break: keep-all;
}
.price-point__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, auto);
  gap: 32px;
  margin-top: 45px;
  @media (width <= 1025px) {
    grid-template-columns: 1fr;
    max-width: 425px;
    margin-inline: auto;
    margin-top: 28px;
  }
}
.price-point__item {
  display: grid;
  grid-row: span 3;
  grid-template-rows: auto auto auto; /* subgrid非対応ブラウザ向けフォールバック */
  grid-template-rows: subgrid;
  justify-items: center;
  align-items: center;
  gap: 40px;
  padding: 55px 30px 50px;
  background: #fff;
  border-radius: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, .05);
  @media (width <= 896px) {
    gap: 24px;
    padding: 32px 20px;
  }
}
.price-point__item-icon {
  display: block;
  width: auto;
  height: 124px;
  max-width: 100%;
}
.price-point__item-icon--scale {
  height: 93px;
}
.price-point__item-ttl {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(1.125rem, 0.1160rem + 1.8018vw, 1.625rem); /* 26~18(1340~896) */
  font-weight: 500;
  color: var(--font_c);
  text-align: center;
  word-break: keep-all;
}
.price-point__item-ttl-accent {
  color: var(--main_c);
}
.price-point__item-txt {
  font-family: 'Zen Kaku Gothic New', var(--font_normal);
  font-size: clamp(0.875rem, 0.6227rem + 0.4505vw, 1rem); /* 16~14(1340~896) */
  line-height: 1.7;
  color: var(--font_c);
  text-align: center;
  word-break: keep-all;
}
